Bug 1568359 - ocaml-lablgl needs rebuild for rhel7.5
Summary: ocaml-lablgl needs rebuild for rhel7.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ocaml-lablgl
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 10:51 UTC by Tuomo Soini
Modified: 2018-05-21 14:48 UTC (History)
4 users (show)

Fixed In Version: ocaml-lablgl-1.05-18.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-21 14:48:56 UTC


Attachments (Terms of Use)

Description Tuomo Soini 2018-04-17 10:51:54 UTC
ocaml got updated on rhel 7.5 update causing most of ocaml packages on epel7 needing rebuild.

package: 1:ocaml-lablgl-1.05-17.el7.x86_64
  unresolved deps: 
     ocaml(Arg) = 0:a7ebc43608a0326f6aa67069897d89e7
     ocaml(Array) = 0:8a6bb22925744456eb66180ea42e3344
     ocaml(Buffer) = 0:af3ef6fba94cdb4eba31e98b4e341dab
     ocaml(Callback) = 0:198fb4bcde892143b0866b03cfae8085
     ocaml(Char) = 0:9554e5449c177414a27e7d7ff5ed8013
     ocaml(Hashtbl) = 0:024edc3512403b725052aec8e41ed971
     ocaml(Int32) = 0:ad06f04cfca6d404d1de76c3dc67324a
     ocaml(List) = 0:d757117653d9319fefb7ddc78a998f41
     ocaml(Nativeint) = 0:11ff26db80a400d29d2755edd23b5d0f
     ocaml(Obj) = 0:b0adfa4175f86e4394859886c1a374bb
     ocaml(Pervasives) = 0:36b5bc8227dc9914c6d9fd9bdcfadb45
     ocaml(Printf) = 0:d012329cc712e91d0f10a5eef2303d18
     ocaml(Protocol) = 0:7028473475b981104142a6e94bd58d81
     ocaml(Rawwidget) = 0:aad84ebb356770ea166f72812dfa144f
     ocaml(StdLabels) = 0:322a87241f0aff306b92b23e66fecfac
     ocaml(String) = 0:db7f34081ef8fcaf499f19523d0736c6
     ocaml(Support) = 0:3ca1324349401f4adeea6c76ecfe39ab
     ocaml(Textvariable) = 0:8905a82bcc79be4b6e4851ee34c1feda
     ocaml(Timer) = 0:605488ff4b4d12aadccd4b6fe11ddb3f
     ocaml(Tk) = 0:bb307516c0d80c57833020630b622401
     ocaml(Widget) = 0:0f7a07f8ba447da05199350142f6a3e5
     ocaml(runtime) = 0:4.01.1

Comment 1 Tuomo Soini 2018-04-17 11:02:50 UTC
Another issue might be caused by this change:

ocaml-0:4.05.0-6.el7.x86_64 obsoletes following packages:

ocaml-labltk-0:4.01.0-22.7.el7_2.x86_64
ocaml-labltk-devel-0:4.01.0-22.7.el7_2.x86_64

This is a issue because of:

package: 1:ocaml-lablgl-devel-1.05-17.el7.x86_64
  unresolved deps: 
     ocaml-labltk-devel

Comment 2 Richard W.M. Jones 2018-04-17 11:15:32 UTC
Yes labltk needs to be added to EPEL 7.  I kicked off a build for that:

https://koji.fedoraproject.org/koji/taskinfo?taskID=26413457

We still have ocaml-camlp4 in RHEL 7.5.  So I think all that needs
to be done after this is tag the above into the Koji overrides and
rebuild ocaml-lablgl.

There will almost certainly be other EPEL 7 packages which need
rebuilding so if you find any just mention them in this bug.

Comment 3 Richard W.M. Jones 2018-04-17 12:15:46 UTC
Successful build of ocaml-labltk:

https://koji.fedoraproject.org/koji/taskinfo?taskID=26414584

Comment 4 Richard W.M. Jones 2018-04-17 12:31:18 UTC
Build of ocaml-lablgl-1.05-18.el7:

https://koji.fedoraproject.org/koji/taskinfo?taskID=26415061

Comment 5 Fedora Update System 2018-04-17 12:36:02 UTC
ocaml-lablgl-1.05-18.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-e16a3a8a12

Comment 6 Tuomo Soini 2018-04-17 13:55:50 UTC
That's basically ocaml-*

ocaml-biniou
ocaml-camlidl
ocaml-camlidl
ocaml-config-file
ocaml-curl
ocaml-easy-format
ocaml-lablgtk
ocaml-lwt
ocaml-opam-file-format
ocaml-ounit
ocaml-react
ocaml-ssl
ocaml-xmlm
ocaml-yojson

Comment 7 Richard W.M. Jones 2018-04-17 14:21:06 UTC
Looks like ocaml-config-file is dead in EPEL 7 at least.  I'll
submit builds for the other packages, no need to file bugs about them.

Comment 9 Fedora Update System 2018-04-17 14:36:12 UTC
ocaml-camlidl-1.05-35.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7f05e76f0f

Comment 10 Fedora Update System 2018-04-17 14:37:32 UTC
ocaml-opam-file-format-2.0.0-0.3.beta3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-13e474bbf9

Comment 11 Fedora Update System 2018-04-17 14:37:57 UTC
ocaml-easy-format-1.0.2-15.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0db5b92ab7

Comment 12 Fedora Update System 2018-04-17 16:06:41 UTC
ocaml-biniou-1.0.9-19.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-d0f4f0da7f

Comment 13 Fedora Update System 2018-04-17 16:18:02 UTC
ocaml-react-1.2.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c40d0ee456

Comment 14 Fedora Update System 2018-04-17 16:27:08 UTC
ocaml-yojson-1.1.8-17.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f28b87fb04

Comment 15 Fedora Update System 2018-04-17 16:32:17 UTC
ocaml-ssl-0.4.7-10.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-be2c4a8e20

Comment 16 Fedora Update System 2018-04-17 17:14:48 UTC
ocaml-lwt-2.4.5-8.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a827bcc2ee

Comment 17 Fedora Update System 2018-04-17 17:24:24 UTC
ocaml-curl-0.7.5-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-75154c5abf

Comment 18 Fedora Update System 2018-04-17 17:38:45 UTC
ocaml-xmlm-1.2.0-17.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-88f744c99a

Comment 19 Fedora Update System 2018-04-17 17:40:46 UTC
ocaml-ounit-2.0.0-18.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-eaf62628a3

Comment 20 Fedora Update System 2018-04-17 17:51:58 UTC
ocaml-lablgtk-2.18.3-9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-aaff72401f

Comment 21 Fedora Update System 2018-04-18 02:12:15 UTC
ocaml-lablgl-1.05-18.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-e16a3a8a12

Comment 22 Fedora Update System 2018-04-18 02:12:20 UTC
ocaml-camlidl-1.05-35.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7f05e76f0f

Comment 23 Fedora Update System 2018-04-18 02:12:24 UTC
ocaml-opam-file-format-2.0.0-0.3.beta3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-13e474bbf9

Comment 24 Fedora Update System 2018-04-18 02:12:28 UTC
ocaml-easy-format-1.0.2-15.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0db5b92ab7

Comment 25 Fedora Update System 2018-04-18 02:12:34 UTC
ocaml-biniou-1.0.9-19.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-d0f4f0da7f

Comment 26 Fedora Update System 2018-04-18 02:12:38 UTC
ocaml-react-1.2.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c40d0ee456

Comment 27 Fedora Update System 2018-04-18 02:12:43 UTC
ocaml-yojson-1.1.8-17.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f28b87fb04

Comment 28 Fedora Update System 2018-04-18 02:12:47 UTC
ocaml-ssl-0.4.7-10.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-be2c4a8e20

Comment 29 Fedora Update System 2018-04-18 02:12:51 UTC
ocaml-lwt-2.4.5-8.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a827bcc2ee

Comment 30 Fedora Update System 2018-04-18 02:12:55 UTC
ocaml-curl-0.7.5-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-75154c5abf

Comment 31 Fedora Update System 2018-04-18 02:12:58 UTC
ocaml-xmlm-1.2.0-17.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-88f744c99a

Comment 32 Fedora Update System 2018-04-18 02:13:02 UTC
ocaml-ounit-2.0.0-18.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-eaf62628a3

Comment 33 Fedora Update System 2018-04-18 02:13:06 UTC
ocaml-lablgtk-2.18.3-9.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-aaff72401f

Comment 34 Tuomo Soini 2018-04-29 12:07:20 UTC
New ocaml-labltk is still missing. I can see it is in koji but it's not in bodhi.

Comment 35 Richard W.M. Jones 2018-04-29 12:19:36 UTC
The bug is "ON_QA".  Please read the links given in the comments
above.

Comment 36 Fedora Update System 2018-05-03 15:03:36 UTC
ocaml-lablgl-1.05-18.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 37 Fedora Update System 2018-05-03 15:03:41 UTC
ocaml-camlidl-1.05-35.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 38 Fedora Update System 2018-05-03 15:03:45 UTC
ocaml-opam-file-format-2.0.0-0.3.beta3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 39 Fedora Update System 2018-05-03 15:03:50 UTC
ocaml-easy-format-1.0.2-15.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 40 Fedora Update System 2018-05-03 15:03:58 UTC
ocaml-biniou-1.0.9-19.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 41 Fedora Update System 2018-05-03 15:04:02 UTC
ocaml-react-1.2.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 42 Fedora Update System 2018-05-03 15:04:05 UTC
ocaml-yojson-1.1.8-17.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 43 Fedora Update System 2018-05-03 15:04:10 UTC
ocaml-ssl-0.4.7-10.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 44 Fedora Update System 2018-05-03 15:04:14 UTC
ocaml-lwt-2.4.5-8.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 45 Fedora Update System 2018-05-03 15:04:18 UTC
ocaml-curl-0.7.5-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 46 Fedora Update System 2018-05-03 15:04:23 UTC
ocaml-xmlm-1.2.0-17.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 47 Fedora Update System 2018-05-03 15:04:27 UTC
ocaml-ounit-2.0.0-18.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 48 Fedora Update System 2018-05-03 15:04:32 UTC
ocaml-lablgtk-2.18.3-9.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 49 Tuomo Soini 2018-05-03 18:01:48 UTC
Note: ocaml-labltk is still missing. There is no bodhi update with it.

The koji build below is missing from updates.

https://koji.fedoraproject.org/koji/buildinfo?buildID=1072031

Comment 50 Fedora Update System 2018-05-03 19:20:43 UTC
ocaml-labltk-8.06.4-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-259d39cd63

Comment 51 Fedora Update System 2018-05-05 23:38:44 UTC
ocaml-labltk-8.06.4-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-259d39cd63

Comment 52 Fedora Update System 2018-05-21 14:48:56 UTC
ocaml-labltk-8.06.4-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.